import dynamix_sdk.base as _base


class CloudbrokerDisksMigrateResultStr(_base.BaseAPIResultStr):
    pass


class CloudbrokerDisksMigrateProtocol(_base.BasePostAPIFunctionProtocol):
    def migrate(
        self,
        *,
        disk_id: int,
        sep_id: int,
        sep_pool_name: str,
        storage_policy_id: int | None = None,
    ) -> CloudbrokerDisksMigrateResultStr:
        ...
